### Method

# Foundry Vcs find_tree

#### Declaration [src]

    DexFuture*
    foundry_vcs_find_tree (
      FoundryVcs* self,
      const char* id
    )

#### Description [src]

Finds a `FoundryVcsTree` by tree identifier.

#### Parameters

`id`

  Type: `const char*`

  The identifier of the tree.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsTree`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.